// Operatorueberladung.cpp: Hauptprojektdatei.

#include "stdafx.h"
#include "Punkt.h"

using namespace System;

int main(array<System::String ^> ^args)
{
	Punkt^ A = gcnew Punkt(2, 3);
	Punkt^ B = gcnew Punkt(10, 7);
	Punkt^ C = A + B;
	Console::WriteLine("Punkt A:");
	A->zeigePunkt();
	Console::WriteLine("Punkt B:");
	B->zeigePunkt();
	Console::WriteLine("Punkt C:");
	C->zeigePunkt();

	Punkt^ D = gcnew Punkt(25, 5);
	Punkt^ E;
	E = D + 5;
	Console::WriteLine("Punkt D:");
	D->zeigePunkt();
	Console::WriteLine("Punkt E:");
	E->zeigePunkt();

	Punkt^ Erster = gcnew Punkt(11, 4);
	Punkt^ Zweiter = gcnew Punkt(2, 3);
	Console::WriteLine("Punkt Zweiter vor der Zuweisung: ");
	Zweiter->zeigePunkt();
	Zweiter = Zweiter + 30 + Erster;
	Console::WriteLine("Punkt Zweiter nach der Zuweisung: ");
	Zweiter->zeigePunkt();

	Punkt^ Eins = gcnew Punkt(7,6);
	Punkt^ Zwei = Eins--;
	Console::WriteLine("Punkt Eins:");
	Eins->zeigePunkt();
	Console::WriteLine("Punkt Zwei:");
	Zwei->zeigePunkt();

	Punkt^ einPunkt = gcnew Punkt(5, 15);
	Punkt^ nochEinPunkt = gcnew Punkt(5, 15);
	if (einPunkt == nochEinPunkt)
		Console::WriteLine("Beide Punkte haben die gleichen Koordinaten");
	else
		Console::WriteLine("Die Koordinaten beider Punkte sind verschieden");

	Console::ReadLine();
	return 0;
}
